<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Pay.js Demo</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" type="text/css" media="screen" href="/assets/bootstrap.min.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="/assets/all.min.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="card.css" />

	<script type="text/javascript" src="https://localhost/js/v2/pay.js"></script>
	<script type="text/javascript" src="card.js"></script>
</head>

<body>
	<div id="appContainer">
		<h1>Pay.js Demo App</h1>
		<hr class="noMarBot">

		<div class="clearfix">
			<button id="backBtn" type="button" class="btn btn-link float-right">
				<i class="far fa-arrow-alt-circle-left"></i>
				Back
			</button>
		</div>

		<div>
			<label for="payCardConfig">Payment Card Config</label>
			<textarea id="payCardConfig" name="payCardConfig" class="form-control smFont marBot15" rows="13"
				placeholder="Enter Payment Card Config Here" aria-label="Payment Card Config"></textarea>
			<div id="payCardConfigErrorContainer" class="hidden alert alert-danger smFont" role="alert">

			</div>
		</div>

		<div class="clearfix">
			<button id="updateConfigBtn" type="button" class="btn btn-dark float-right">
				Apply Changes
				<i class="far fa-arrow-alt-circle-right"></i>
			</button>
		</div>
		<hr>

		<div class="marBot15">
			<label for="paymentCardContainer">PaymentCard Element</label>
			<div id="paymentCardContainer" class="marBot15">
				<!-- PaymentCard iFrame content will go here. -->
			</div>
			<div id="paymentCardErrorContainer" class="hidden alert alert-danger smFont" role="alert">

			</div>
		</div>

		<div class="clearfix">
			<button id="getPaymentKeyBtn" type="button" class="btn btn-dark float-right">
				Get Payment Key
				<i class="far fa-arrow-alt-circle-right"></i>
			</button>
		</div>
		<hr>

		<div id="transactionInfoContainer" class="hidden">
			<div>
				<label for="paymentKeyRes">Payment Key Response</label>
				<textarea id="paymentKeyRes" name="paymentKeyRes" readonly class="form-control smFont marBot15" rows="8"
					placeholder="Payment Key Response" aria-label="Payment Key Response"></textarea>
			</div>

			<div>
				<label for="transactionInfo">Transaction Info</label>
				<textarea id="transactionInfo" name="transactionInfo" class="form-control smFont marBot15" rows="21"
					placeholder="Enter Transaction Info Here" aria-label="Transaction Info"></textarea>
			</div>

			<div id="transactionErrorContainer" class="hidden alert alert-danger smFont" role="alert">
			
			</div>

			<div class="clearfix">
				<button id="submitBtn" type="button" class="btn btn-dark float-right">
					Submit Payment Form
					<i class="far fa-arrow-alt-circle-right"></i>
				</button>
			</div>
			<hr>
		</div>

		<div id="transactionResultContainer" class=hidden>
			<label for="transactionResult">Transaction Result</label>
			<textarea id="transactionResult" name="transactionResult" readonly class="form-control smFont marBot15"
				rows="30" placeholder="Transaction results will populate here"
				aria-label="Transaction Result"></textarea>
		</div>
	</div>
</body>

</html>